textures/password2/sky_password2_night
{
	nocompress
	qer_editorimage textures/skies/sky_8.tga
	q3map_lightimage textures/skies/n_blue2.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_globaltexture
	q3map_lightsubdivide 512 
	//q3map_sun <red> <green> <blue> <intensity> <degrees> <elevation>
	q3map_sun	0.274632 0.274632 0.39 40 315 60
	q3map_surfacelight 35
//	q3map_lightrgb .1 0.1 0.5
	skyparms full 200 -
//	nofog
	sunshader sun
	fogvars ( .15 .15 .15 ) .0001
	skyfogvars ( .23 .23 .24 ) .01

	
	{
		map textures/skies/nightsky1.tga
	//	tcMod scroll 0.005 0.0005
		tcMod scale 16.0 16.0
		depthWrite
	}

	{
		map textures/skies/vil_clouds1.tga
		blendfunc blend
		tcMod scroll 0.001 0.00
		tcMod scale 2 1
	}
}

textures/password2/light_01
{
//    q3map_lightimage textures/lights/light_c01.blend.tga
    qer_editorimage textures/lights/light_c01.tga
//    q3map_surfacelight 2000
//    light 1
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/lights/light_c01.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/lights/light_c01.blend.tga
        blendFunc GL_ONE GL_ONE
    }
}

textures/password2/light_xlight
{
    qer_editorimage textures/lights/light_xlight_02.tga
    //q3map_surfacelight 700
//    light 1
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/lights/light_xlight_02.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/lights/light_xlight_02.tga
        blendFunc GL_ONE GL_ONE
    }
}

textures/password2/light_m4_white_nolight
{
    //off white KP light
    q3map_lightimage textures/lights/light_m4.blend.tga
    qer_editorimage textures/lights/light_m4.tga
//    q3map_surfacelight 5000
//    light 1
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/lights/light_m4.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/lights/light_m4.blend.tga
        blendFunc GL_ONE GL_ONE
    }
}


textures/password2/box01
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/password2/box01.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/password2/box01_top
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/password2/box01_top.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}


textures/password2/glass_inside
{
	surfaceparm glass	
	surfaceparm trans	
	cull back
	qer_editorimage textures/password2/glass_inside.tga
	//qer_trans 	0.5
	{
		map textures/password2/glass_outside.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

textures/password2/glass_outside
{
	surfaceparm glass	
	surfaceparm trans	
	cull back
	qer_editorimage textures/password2/glass_outside.tga
	//qer_trans 	0.5
	{
		map textures/password2/glass_outside.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}


textures/password2/fence_c10_as
{
	surfaceparm alphashadow	
	surfaceparm metalsteps
	nomipmaps
	nopicmip
	cull disable
	{
		map textures/password2/fence_c10_as.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

textures/password2/symbol_yellow
{
	surfaceparm alphashadow	
	surfaceparm metalsteps
	surfaceparm nomarks
	nomipmaps
	nopicmip
	cull disable
	{
		map textures/password2/symbol_yellow.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

textures/password2/apartment_window1_light
{
	qer_editorimage textures/password2/apartment_window1_light.tga
	surfaceparm glass
	q3map_surfacelight 150
	q3map_lightsubdivide 128

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/password2/apartment_window1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/password2/apartment_window1.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/password2/apartment_window2_light
{
	qer_editorimage textures/password2/apartment_window2_light.tga
	surfaceparm glass
	q3map_surfacelight 150
	q3map_lightsubdivide 128

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/password2/apartment_window2_light.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/password2/apartment_window2.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

models/password2/password_disp
{
	nopicmip
	nomipmaps
	surfaceparm metalsteps
	{
		map models/password2/password_disp.tga
		blendfunc GL_ONE GL_ZERO
	}
}

textures/password2/key1
{
	nopicmip
	nomipmaps
	surfaceparm metalsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
		map textures/password2/key1.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}


textures/password2/key2
{
	nopicmip
	nomipmaps
	surfaceparm metalsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
		map textures/password2/key2.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}


textures/password2/key3
{
	nopicmip
	nomipmaps
	surfaceparm metalsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
		map textures/password2/key3.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}


textures/password2/key4
{
	nopicmip
	nomipmaps
	surfaceparm metalsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
		map textures/password2/key4.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}


textures/password2/key5
{
	nopicmip
	nomipmaps
	surfaceparm metalsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
		map textures/password2/key5.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}


textures/password2/key6
{
	nopicmip
	nomipmaps
	surfaceparm metalsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
		map textures/password2/key6.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}


textures/password2/key7
{
	nopicmip
	nomipmaps
	surfaceparm metalsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
		map textures/password2/key7.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}


textures/password2/key8
{
	nopicmip
	nomipmaps
	surfaceparm metalsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
		map textures/password2/key8.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/password2/door_button_on
{
	nopicmip
	nomipmaps
	surfaceparm metalsteps
	{
		map textures/password2/door_button_on.tga
		blendfunc GL_ONE GL_ZERO
	}
}

textures/password2/door_button_off
{
	nopicmip
	nomipmaps
	surfaceparm metalsteps
	{
		map textures/password2/door_button_off.tga
		blendfunc GL_ONE GL_ZERO
	}
}

textures/password2/halt_button_off
{
	nopicmip
	nomipmaps
	surfaceparm metalsteps
	{
		map textures/password2/halt_button_off.tga
		blendfunc GL_ONE GL_ZERO
	}
}

textures/password2/halt_button_on
{
	nopicmip
	nomipmaps
	surfaceparm metalsteps
	{
		map textures/password2/halt_button_on.tga
		blendfunc GL_ONE GL_ZERO
	}
}

textures/password2/dockey_metal1
{
	surfaceparm nolightmap
	surfaceparm metalsteps
	{
		map textures/password2/dockey_metal1.tga
	}
}

textures/password2/dockey_metal2
{
	surfaceparm nolightmap
	surfaceparm metalsteps
	{
		map textures/password2/dockey_metal2.tga
	}
}

models/password2/endoarm_code
{
	nomipmaps
	nopicmip
	cull disable
	{
		map models/password2/endoarm_code.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/password2/endoarm_glass
{
	surfaceparm glass
	cull none
	{
		map models/password2/endoarm_glass.tga
		//tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
		//rgbGen vertex
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

models/password2/branch8_nowave
{
	surfaceparm alphashadow
	cull twosided
	{
		map models/mapobjects/tree/branch8.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}
